#include <stdlib.h>
#include <stdio.h>
#include <string.h>

int fullmoon(int y) {
	int g,s,l,p;
	g = (y % 19) + 1;
	s = (y - 1600) / 100 - (y - 1600) / 400;
	l = (((y - 1400) / 100) * 8) / 25;
	p = (3003 - (11 * g) + s - l) % 30;
	if(p == 29 || (p==28 && g > 11)) p--;
	return p;
}

int main(int argc, char** argv)
{
	int n,i,j,a,b;
	char c;
	char podm[10],podm1[10];
	char dat[1000];
	int year,month,day,wday,fm,es,emm,emd,month2,day2,day1,month1,count;
	char d[530000][10];
	int years[3002][3];
	int months[13] = {0,31,28,31,30,31,30,31,31,30,31,30,31};
	char r[1002];
	
	for(i = 0; i < 2080; i++) years[i][2] = 0;
	for(i = 0; i< 530000; i++) {
		for(j=0;j<10;j++) d[i][j] = ' ';
	}
	
	// --
	
	year = 2010;
	month = 10;
	day = 23;
	wday = 6;
	fm = fullmoon(2010);
	
	for(i=151000;year>=1599;i--) {
		if(wday == 1) d[i][1] = '-';
		else if(wday == 7) d[i][7] = '-';
		else if(wday == 2) d[i][2] = '-';
		else if(wday == 3) d[i][3] = '-';
		else if(wday == 4) d[i][4] = '-';
		else if(wday == 5) d[i][5] = '-';
		else if(wday == 6) d[i][6] = '-';
		
		if(month == 3 && day == 21) {
			j = i + fm;
			for(a=1;a<8;a++) if(d[j][a] == '-') break;
			if(a == 7) j+=7;
			else j+= 7 - a;
			j++;
			
			if(d[j][0] == 'w') d[j+1][9] = 'x';
			d[j][8] = 't';
			d[j][0] = 'x';
			d[j][9] = 'x';
		}
		
		if(wday == 7 || (month == 1 && day == 1) || (month == 5 && (day == 8 || day == 1)) ||
			(month == 6 && (day == 5 || day == 6)) || (month == 9 && day == 28) || (month == 10 && day == 28) ||
			(month == 11 && day == 17) || (month == 12 && (day == 24 || day == 25 || day == 26))) {
			d[i][8] = 't';
			if(wday != 5 && wday != 6) d[i+1][9] = 'a';
		} else {
			if(wday < 6) d[i][0] = 'w';
		}
		
		wday--;
		if(wday == 0) wday = 7;
		day--;
		if(day == 0) {
			month--;
			if(month == 0) {
				month = 12;
				years[year][0] = i;
				year--;
				fm = fullmoon(year);
				years[year][1] = i-1;
			}
			day = months[month];
			if(month == 2) {
				if(year%4 == 0) {
					if(year%100 != 0 || year%400 == 0) {
						day = 29;
						years[year][2] = 1;
					}
				}
			}
		}
	}
	
	// ++
	
	year = 2010;
	month = 10;
	day = 24;
	wday = 7;
	fm = -1;
	es = -1;
	
	for(i=151001;year<=3000;i++) {
		if(wday == 1) d[i][1] = '-';
		else if(wday == 7) d[i][7] = '-';
		else if(wday == 2) d[i][2] = '-';
		else if(wday == 3) d[i][3] = '-';
		else if(wday == 4) d[i][4] = '-';
		else if(wday == 5) d[i][5] = '-';
		else if(wday == 6) d[i][6] = '-';
		
		if((month > 3 || (month == 3 && day > 21)) && fm > 0) {
			fm--;
		}
		if(fm == 0 && (month != 3 || day != 21)) {
			if(wday == 7) {
				fm = -1;
				es = 2;
			}
		}
		es--;
		if(es == 0 || wday == 7 || (month == 1 && day == 1) || (month == 5 && (day == 8 || day == 1)) ||
			(month == 6 && (day == 5 || day == 6)) || (month == 9 && day == 28) || (month == 10 && day == 28) ||
			(month == 11 && day == 17) || (month == 12 && (day == 24 || day == 25 || day == 26))) {
			d[i][8] = 't';
			if(wday != 5 && wday != 6 && d[i+1][9] != 'x') d[i+1][9] = 'a';
		} else {
			if(wday < 6 && d[i][0] != 'x') d[i][0] = 'w';
		}
		
		wday++;
		if(wday == 8) wday = 1;
		day++;
		if(day > months[month] && (month != 2 || day != 29 || years[year][2] != 1)) {
			month++;
			if(month == 13) {
				month = 1;
				years[year][1] = i;
				year++;
				fm = fullmoon(year);
				if(year%4 == 0) {
					if(year%100 != 0 || year%400 == 0) {
						years[year][2] = 1;
					}
				}
				years[year][0] = i+1;
			}
			day = 1;
		}
	}
	
	for(i=years[2010][0]; i<= years[2010][1]; i++) {
		printf("%i,%i, %c%c%c%c%c%c%c%c%c%c\n",day,month,d[i][0],d[i][1],d[i][2],d[i][3],d[i][4],d[i][5],d[i][6],d[i][7],d[i][8],d[i][9]);
		day++;
		if(day > months[month]) {
			day = 1;
			month++;
		}
		wday++;
		if(wday == 8) wday = 1;
	}
	
	// vstup
	
	while(1) {
		if(scanf("%s %s %i",podm,r,&year) == 0) break;
		count = 0;
		i = 0;
		for(i = 0; i<10; i++) podm1[i] = ' ';
		for(i = 0; i<10; i++) {
			if(podm[i] == 0) break;
			switch(podm[i]) {
				case '1': podm1[1] = '-';
				case '2': podm1[2] = '-';
				case '3': podm1[3] = '-';
				case '4': podm1[4] = '-';
				case '5': podm1[5] = '-';
				case '6': podm1[6] = '-';
				case '7': podm1[7] = '-';
				case 't': podm1[8] = 't';
				case 'a': podm1[9] = 'a';
				case 'w': podm1[0] = 'w';
			}
		}
		a = years[year][0];
		day = 1;
		month = 1;
		
		while(1) {
			if(sscanf(&r[i],"%i.%i.",&month1,&day1) == 0) break;
			if(day1 > 9) i++;
			if(month1 > 9) i++;
			i += 4;
			month2 = month1;
			day2 = day1;
			if(sscanf(&r[i],"%c",&c) != 0) {
				i++;
				if(c == '-') {
					sscanf(&r[i],"%i.%i.",&day2,&month2);
					i += 4;
					if(sscanf(&r[i],"%c",&c) == 1) i++;
					if(month2 > 9) i++;
					if(day2 > 9) i++;
				} 
			}
			while(a <= years[year][1]) {
				if(month > month2 || (month == month2 && day > day2)) break;
				if(month < month1 || (month == month1 && day < day1)) {// pred intervalem
					a++;
					day++;
					if(day > months[month]) {
						if(!(month == 2 && years[year][2] == 1 && day == 29)) {
							month++;
							day = 1;
						}
					}
					continue;
				} else {
					
					for(j=0;j<10;j++) {
							if(d[a][j] == podm1[j] && podm1[j]!=' ' && podm1[j] != 'x') {
								count++;
							}
					}
					
					
					a++;
					day++;
					if(day > months[month]) {
						if(!(month == 2 && years[year][2] == 1 && day == 29)) {
							month++;
							day = 1;
						}
					}
				}
			}
			printf("%i\n",count);
		}
		break;
	
	}
	return 0;
}


